/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.diagram;

/**
 * 点，直角坐标系中的点
 *
 * @author : xiusong.xie
 * @version : 1.0
 */
public interface Point
{
  /**
   * 获取x坐标
   *
   * @return x坐标
   */
  int getX();

  /**
   * 设置x坐标
   *
   * @param x x坐标
   */
  void setX(int x);

  /**
   * 获取Y坐标
   *
   * @return Y坐标
   */
  int getY();

  /**
   * 设置Y坐标
   *
   * @param y Y坐标
   */
  void setY(int y);
}
